Bric::Util::Attribute::Member - Interface to Attributes of Bric::Util::Member objects $LastChangedRevision$ $LastChangedDate: 2006-03-18 01:26:34 +0100 (Sat, 18 Mar 2006) $ See Bric::Util::Attribute Bric::Util::Attribute::Member currently inherits all methods from Bric::Util::Attribute. It may be extended later.

Constructors
Inherited from Bric::Util::Attribute.

Destructors
Dummy method to prevent wasting time trying to AUTOLOAD DESTROY. Throws: NONE. Side Effects: NONE. Notes: NONE.

Public Class Methods
Returns the short object type name used to construct the attribute table name where the attributes for this class type are stored. Throws: NONE. Side Effects: NONE. Notes: Values for this method look like 'member' given a full object type of 'Bric::Util::Member'. Returns the instance class name which may just be the instance class itself, or a subclass of it. Used to determine what type of attribute instance object should be returned. Throws: NONE. Side Effects: NONE. Notes: Values for this method look like 'member' given a full object type of 'Bric::Util::Member'. Returns the full object type to which this attribute object applies. Any object can have attributes. Throws: NONE. Side Effects: NONE Notes: Values for this method look like 'Bric::Util::Grp::Parts::Member'.

Public Instance Methods
Inherited from Bric::Util::Attribute.

Private Constructors
NONE.

Private Class Methods
NONE.

Private Instance Methods
NONE.

Private Functions
NONE. This is an early draft of this class, and therefore subject to change. David Wheeler <david@justatheory.com> Bric, Bric::Util::Member, Bric::Util::Attribute